Bug 6689 - Improve styling of table pager
Summary: Improve styling of table pager
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Mason James
URL:
Keywords:
Depends on: 6616
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-09 16:33 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of the proposed revised interface (18.39 KB, image/png)
2011-08-09 16:33 UTC, Owen Leonard
Details
Proposed fix (1.36 KB, patch)
2011-10-06 19:54 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 6689 - Improve styling of table pager (1.40 KB, patch)
2011-10-06 20:13 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6689 [Follow-up] Improve styling of table pager (1.11 KB, patch)
2012-09-14 18:53 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6689 [Follow-up] Improve styling of table pager (1.16 KB, patch)
2012-09-18 00:32 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-08-09 16:33:46 UTC
Created attachment 4912 [details]
Screenshot of the proposed revised interface

I propose a change to the style of the pager which has been added to some tables sorted by the jQuery tablesorter. See the attached image. This includes a change proposed in comments on Bug 6616 to make it clear that the pages notation (1/3) cannot be directly edited.

This bug cannot be tested without the patch for Bug 6616.
Comment 1 Owen Leonard 2011-10-06 19:54:50 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-10-06 20:13:15 UTC Comment hidden (obsolete)
Comment 3 Ian Walls 2011-10-06 20:49:25 UTC
CSS-only fix, with a very attractive screenshot attached.  Depends on 6616, but as we're just waiting on that to be committed, I'll also mark this as Passed QA (happily).
Comment 4 Chris Cormack 2011-10-09 07:11:45 UTC
Patch pushed, please test
Comment 5 Owen Leonard 2012-09-14 18:53:05 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2012-09-18 00:32:37 UTC
Created attachment 12295 [details] [review]
[SIGNED-OFF] Bug 6689 [Follow-up] Improve styling of table pager

Small correction to add non-vendor-prefixed border
radius declaration to make style consistent on
newer browsers.

To test, view a page with a sorted table and pager controls,
like members/readingrec.pl. The pager controls "box" should
show rounded corners in Firefox 15+

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 7 Mason James 2012-09-18 14:24:53 UTC
passing QA, trivial patch...
Comment 8 Paul Poulain 2012-09-19 12:29:38 UTC
Patch pushed to master